Linuxiarze.pl Forum

Sprzęt => Komputery => Wątek zaczęty przez: irequ w Lipiec 01, 2020, 04:32:28 pm

Tytuł: Aktualizacja sterownika?
Wiadomość wysłana przez: irequ w Lipiec 01, 2020, 04:32:28 pm
Witam Was serdecznie


    Drodzy Linuxiarze, opisywałem jakiś czas temu problem z uruchomieniem OBS Studio.
Na razie pomijam ten wątek.
Opisywałem w tamtym wątku, iż mam UBUNTU STUDIO w najnowszej wersji, którą pobrałem w kwietniu.
System ten wybrałem ze względu na potrzebę moich zastosowań tzn muzykę i obróbkę wideo.

Jednak pojawiają się problemy. A zatem w ogóle nie chce się uruchomić OBS Studio , ale ostatnio jak chciałem zrobić czołówkę w OpenShot to program ten wykazał błąd wskazania gdzie jest Blender. Wchodze zatem w zakładkę Grafiki i widzę, ze Blender mam zainstalowany. Uruchamiam go i...nic. W ogóle nic nie wypluwa, żadnego komunikatu. Po prostu się nie uruchamia.

Mam Acer Travel Mate 5740 z grafiką  Intel HD Graphics,

Problem może tkwić w sterownikach graficznych.

Oto co wyskakuje :

$ sudo apt install xserver-xorg-video-intel
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
xserver-xorg-video-intel is already the newest version (2:2.99.917+git20200226-1).
xserver-xorg-video-intel zaznaczony jako zainstalowany ręcznie.
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  gnome-software-common libappstream-glib8 libgspell-1-2 libgspell-1-common libmxml-dev linux-headers-5.4.0-31
  linux-headers-5.4.0-31-lowlatency linux-image-5.4.0-31-lowlatency linux-modules-5.4.0-31-lowlatency
  unetbootin-translations
Aby je usunąć należy użyć "sudo apt autoremove".
0 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.



Czy to oznacza, że sterownik jest aktualny? A jak rozumieć że jest zaznaczony do ręcznej aktualizacji? Tzn że ja mam go ręcznie zaktualizować?
Ale jak to zrobić?


Ściągnąłem ze strony Intela  plik  z 2018 roku, ostatni dostepny,   linux-4.16.tar.gz

Po rozpakowaniu zupełnie nie wiem gdzie są i jak należałoby zainstalować sterowniki grafiki.

Czy zatem jest jakaś nadzieja że będę mógł korzystać z tego Acera?Czy da się zaktualizować sterowniki Intel HD Graphics?

Czy też nie ma nigdzie dostępnych nowych sterowników a w Ubuntu Studio 20.04 są zainstalowane jakieś uniwersalne? Bo dlaczego w takim razie niektóre programy nie chcą w ogóle się uruchomić jakby ich nie było? Ale są, bo ich zainstalować nie mogę. Blender jest ale OpenShot nie zna ścieżki do niego i nie chce zrobić animowanej czołówki.
A OBS się w ogóle nie uruchamia, tak jak Blender, tyle że wyskakuje info o tym że nie ma karty graficznej albo że jest niewłaściwy sterownik.

Komputer działa więc co mam zrobić by te programy ruszyły? Pozostaje mi zmienić komputer? Czy np zmienić system na Xubuntu? Ale czy tam nie pojawią się te same problemy? Najgorsze jest to, że na stronach Intela są dostępne sterowniki dla Windowsa.

Co robić???


Tytuł: Odp: Aktualizacja sterownika?
Wiadomość wysłana przez: pavbaranov w Lipiec 01, 2020, 05:40:55 pm
Zacznijmy od końca, bądź początku :) Po pierwsze: linux to nie Windows. Tutaj zasadniczo oprogramowanie, a już na pewno systemowe, takie jak np. sterowniki są w repozytoriach. Wyjątek, to tzw. sterowniki własnościowe, które mogą, ale nie muszą być w repozytorium. W przypadku Intela - nie ma problemu, albowiem sterowniki są jedne. Mogą mieć inne wersje. Niemniej jednak, APT oznajmia Ci, że masz już zainstalowane najnowsze sterowniki Intela. Nowszych, innych w repozytorium nie ma (i prawdopodobnie przez co najmniej długi czas nie będzie). APT informuje Cię również, że ten sterownik zainstalowałeś już "ręcznie" (a nie, że masz go "ręcznie" zainstalować). Dzieje się tak dlatego, że domyślnie, od kilku lat, Ubuntu obywa się w ogóle bez sterowników Intela, stosując kernelowe modesetting.
Sterowników do Windowsa - co oczywiste - nie wykorzystasz w linuksie. O jakość sterowników Intela dla linuksa możesz mieć pretensję wyłącznie do Intela.
Mniejsza o to. Opisane przez Ciebie zachowanie oprogramowania (blender, OBS Studio), może w ogóle nie mieć nic wspólnego ze sterownikami. Nie wiemy jednak gdzie jest problem. Podstawowy sposób "walki" z tego typu zachowaniem, to wywołanie danego programu z konsoli i zobaczenie co wypisuje. Uruchamiasz zatem OBS, czy blendera w konsoli (terminalu) i jakąś informację powinieneś mieć. Możesz się nią z nami podzielić. Możesz też ją zgłosić twórcom Ubuntu/Ubuntu Studio, oczywiście o ile używasz oprogramowania (blender, OBS), pochodzącego z repozytoriów Ubuntu. Przydałoby się wiedzieć również w jaki sposób zainstalowałeś te programy, a w szczególności, czy pochodzą one z repozytoriów systemowych, czy też innych, czy też zainstalowane w inny sposób (o ile pamiętam, to o OBS pisałeś, że to "przyszło" z systemem).
Tytuł: Odp: Aktualizacja sterownika?
Wiadomość wysłana przez: irequ w Lipiec 01, 2020, 09:21:28 pm
Ok, rozumiem, dziękuję za wyjaśnienia.

I śpieszę z tym, co wiem i co mi się wyświetla.

A zatem - system Ubuntu Studio wybrałem ze względu na to, że wszystko oferuje " w sobie" i że na potrzeby tworzenia i edycji muzyki, pisania nut, edycji wideo, obróbki zdjęć wszystko posiada.
A zatem ja niczego nie instalowałem bo to wszystko jest.

Teraz info z terminala :
1) Blender :

Error! Unsupported graphics card or driver.
A graphics card and driver with support for OpenGL 3.3 or higher is required.
The program will now close.

2) OBS

qt5ct: using qt5ct plugin
Attempted path: share/obs/obs-studio/locale/en-US.ini
Attempted path: /usr/share/obs/obs-studio/locale/en-US.ini
Attempted path: share/obs/obs-studio/locale.ini
Attempted path: /usr/share/obs/obs-studio/locale.ini
Attempted path: share/obs/obs-studio/locale/pl-PL.ini
Attempted path: /usr/share/obs/obs-studio/locale/pl-PL.ini
info: Using preferred locale 'pl-PL'
Attempted path: share/obs/obs-studio/themes/Dark.qss
Attempted path: /usr/share/obs/obs-studio/themes/Dark.qss
info: CPU Name: Intel(R) Core(TM) i5 CPU       M 430  @ 2.27GHz
info: CPU Speed: 1275.711MHz
info: Physical Cores: 2, Logical Cores: 4
info: Physical Memory: 5618MB Total, 3427MB Free
info: Kernel Version: Linux 5.4.0-39-lowlatency
info: Distribution: "Ubuntu" "20.04"
info: Window System: X11.0, Vendor: The X.Org Foundation, Version: 1.20.8
info: Portable mode: false
qt5ct: D-Bus global menu: no
Attempted path: share/obs/obs-studio/themes/Dark/no_sources.svg
Attempted path: /usr/share/obs/obs-studio/themes/Dark/no_sources.svg
QMetaObject::connectSlotsByName: No matching signal for on_advAudioProps_clicked()
QMetaObject::connectSlotsByName: No matching signal for on_advAudioProps_destroyed()
QMetaObject::connectSlotsByName: No matching signal for on_actionGridMode_triggered()
QMetaObject::connectSlotsByName: No matching signal for on_program_customContextMenuRequested(QPoint)
info: OBS 25.0.3+dfsg1-2 (linux)
info: ---------------------------------
info: ---------------------------------
info: audio settings reset:
samples per sec: 44100
speakers:        2
info: ---------------------------------
info: Initializing OpenGL...
error: X Error: GLXBadFBConfig, Major opcode: 152, Minor opcode: 34, Serial: 29
error: Failed to create OpenGL context.
error: Failed to create context!
error: device_create (GL) failed
error: Failed to initialize video.  Your GPU may not be supported, or your graphics drivers may need to be updated.
qt5ct: palette support is disabled
qt5ct: custom style sheet is disabled
info: Freeing OBS context data
info: == Profiler Results =============================
info: run_program_init: 8080,49 ms
info:  ┣OBSApp::AppInit: 111,632 ms
info:  ┃ ┗OBSApp::InitLocale: 104,188 ms
info:  ┗OBSApp::OBSInit: 447,165 ms
info:    ┣obs_startup: 40,94 ms
info:    ┗OBSBasic::OBSInit: 137,936 ms
info:      ┣OBSBasic::InitBasicConfig: 22,267 ms
info:      ┣OBSBasic::ResetAudio: 0,34 ms
info:      ┗OBSBasic::ResetVideo: 99,12 ms
info: obs_hotkey_thread(25 ms): min=0,14 ms, median=0,552 ms, max=6,538 ms, 99th percentile=1,281 ms, 100% below 25 ms
info: audio_thread(Audio): min=0,021 ms, median=0,029 ms, max=0,143 ms, 99th percentile=0,087 ms
info: =================================================
info: == Profiler Time Between Calls ==================
info: obs_hotkey_thread(25 ms): min=25,254 ms, median=25,657 ms, max=31,642 ms, 28,9116% within ±2% of 25 ms (0% lower, 71,0884% higher)
info: =================================================
info: Number of memory leaks: 178


A  zatem w obu przypadkach problem w sprzęcie albo sterownikach. Przynajmniej ja tak wnioskuję z tego, co się wypisuje w terminalu.

To co, komputer za słaby? Czy może trzeba jakieś sterowniki inne zainstalować????



Tytuł: Odp: Aktualizacja sterownika?
Wiadomość wysłana przez: irequ w Lipiec 01, 2020, 09:44:47 pm
$ glxinfo | grep OpenGL

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics (ILK)
OpenGL version string: 2.1 Mesa 20.0.8
OpenGL shading language version string: 1.20
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 2.0 Mesa 20.0.8
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16
OpenGL ES profile extensions:


$ glxinfo | grep rendering
direct rendering: Yes
Tytuł: Odp: Aktualizacja sterownika?
Wiadomość wysłana przez: pavbaranov w Lipiec 01, 2020, 10:25:38 pm
Problem leży w OpenGL, który dostarcza mesa. Albo nie masz zainstalowanej tej paczki, albo masz ją - wątpliwe - w wersji zbyt starej (blender drze się o co najmniej 3.30, a to wyszło z 10 lat temu bodaj).
Swoją drogą, to albo coś jest skopane w instalacji paczek u Ciebie, albo w istocie Ubuntu, które winno obchodzić się bez sterowników Intel, jakoś nie bardzo kocha się z nimi w tym przypadku (bo zdaje się, że je sam zainstalowałeś), albo - w przypadku Intela - po prostu Ubuntu Studio ktoś mocno skopał.

Być może też, rozwiązania są również w linkach, które Ci już podałem, np.: https://wiki.archlinux.org/index.php/Intel_graphics#Old_OpenGL_Driver_(i965) (https://wiki.archlinux.org/index.php/Intel_graphics#Old_OpenGL_Driver_(i965)) czy https://wiki.archlinux.org/index.php/Intel_graphics#Overriding_reported_OpenGL_version (https://wiki.archlinux.org/index.php/Intel_graphics#Overriding_reported_OpenGL_version). Nie wiem, nie znam się na tym, a zatem niczego - oprócz zaznajomienia się - nie sugeruję. Na 100% nie jest to jednak problem z "potrzebą aktualizacji sterownika".

Raz zatem jeszcze - absolutnie niczego nie instalowałeś w Ubuntu Studio? Także sterowników Intela? Jeśli nie robiłeś tego to całość nadaje się do zgłoszenia na deweloperom Ubuntu Studio, że dali ciała. W przeciwnym przypadku - czyli jednak coś instalowałeś - należałoby nam o tym powiedzieć co to było.

PS: Mało ładnie wyglądają również te "memory leaks" :)